:root {
  --desaturatedRed: hsl(0, 36%, 70%);
  --softRed: hsl(0, 93%, 68%);
  --darkGrayishRed: hsl(0, 6%, 24%);
  --gradient: 135deg, hsl(0, 0%, 100%), hsl(0, 100%, 98%);
  --gradient2: 135deg, hsl(0, 80%, 86%), hsl(0, 74%, 74%);
}

body {
  margin: 0;
  font-family: "Josefin Sans", sans-serif;
  font-size: 16px;
  font-weight: 400;
}

.nav {
  display: none;
  height: 50px;
  width: 100%;
  width: max-content;
  align-items: center;
  background-color: white;
}

.nav--img {
  width: 150px;
}

.main {
  display: grid;
  width: 100%;
  min-height: 100vh;
  grid-template-columns: repeat(3, 1fr);
}

.main-section {
  grid-column: 1 / 3;
  background: url(../images/bg-pattern-desktop.svg),
    linear-gradient(var(--gradient));
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 10% 10% 0% 10%;
  box-sizing: border-box;
}

.main-section--logo {
  height: 35px;
  margin-bottom: 10px;
}

.main-section--title {
  text-transform: uppercase;
  font-weight: 300;
  font-size: 4rem;
  color: var(--desaturatedRed);
  letter-spacing: 1.3rem;
}

.bold {
  color: var(--darkGrayishRed);
  font-weight: 600;
}

.main-section--paragraph {
  color: var(--desaturatedRed);
  line-height: 1.75rem;
  width: 75%;
}

.main-section__form {
  display: flex;
  align-items: center;
  position: relative;
  width: 60%;
}

.main-section__form--input {
  height: 3rem;
  width: 100%;
  border-radius: 100px;
  border: 1px solid gray;
  background-color: rgba(0, 0, 0, 0);
  outline: none;
  font-family: "Josefin Sans", sans-serif;
  font-size: 16px;
  padding: 5px 10px;
  box-sizing: border-box;
}

.error-input {
  border: 1px solid var(--softRed);
}

.main-section__form--alert {
  display: none;
  position: absolute;
  top: 25%;
  right: calc(100px + 10px);
}

.alert-active {
  display: block;
}

.main-section__form--btn {
  width: 100px;
  height: 50px;
  box-sizing: border-box;
  border: none;
  border-radius: 100px;
  cursor: pointer;
  outline: none;
  background: linear-gradient(var(--gradient2));
  box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.15);
  position: absolute;
  right: 0;
}

.main-section--label {
  display: none;
  color: var(--softRed);
  font-size: 0.7rem;
  margin-left: 10px;
}

.label-active {
  display: flex;
}

.main--img {
  background-image: url(../images/hero-desktop.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

@media screen and (max-width: 768px) {
  .nav {
    display: block;
    width: 100%;
    display: flex;
    align-items: center;
    position: fixed;
    padding: 10px 0px;
  }

  .main {
    display: flex;
    flex-direction: column-reverse;
    grid-template-columns: none;
    padding-bottom: 50px;
  }

  .main--img {
    width: 100%;
    height: 300px;
    background-position: center top;
  }

  .main-section {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .main-section--logo {
    display: none;
  }

  .main-section--title {
    text-align: center;
    font-size: 3rem;
  }

  .main-section--paragraph {
    text-align: center;
  }

  .main-section__form {
    width: 90%;
  }

  .main-section--label {
    align-self: flex-start;
    margin-left: 8%;
    margin-bottom: 30px;
  }
}
